### Method

# Gio FileInfo get_attribute_status

#### Declaration

    GFileAttributeStatus
    g_file_info_get_attribute_status (
      GFileInfo* info,
      const char* attribute
    )

#### Description

Gets the attribute status for an attribute key.

#### Parameters

`attribute`

  Type: `const char*`

  A file attribute key.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GFileAttributeStatus`

A `GFileAttributeStatus` for the given `attribute`, or `G_FILE_ATTRIBUTE_STATUS_UNSET` if the key is invalid.